"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleOperator = exports.RuleDateOptions = exports.RuleNumberOptions = exports.RuleStringOptions = void 0;
var RuleStringOptions;
(function (RuleStringOptions) {
    RuleStringOptions["contains"] = "contains";
    RuleStringOptions["notContains"] = "not_contains";
    RuleStringOptions["equals"] = "equals";
    RuleStringOptions["isEmpty"] = "is_empty";
    RuleStringOptions["isNotEmpty"] = "is_not_empty";
    RuleStringOptions["startsWith"] = "starts_with";
    RuleStringOptions["endsWith"] = "ends_with";
})(RuleStringOptions = exports.RuleStringOptions || (exports.RuleStringOptions = {}));
var RuleNumberOptions;
(function (RuleNumberOptions) {
    RuleNumberOptions["contains"] = "contains";
    RuleNumberOptions["notContains"] = "not_contains";
    RuleNumberOptions["equals"] = "equals";
    RuleNumberOptions["isEmpty"] = "is_empty";
    RuleNumberOptions["isNotEmpty"] = "is_not_empty";
    RuleNumberOptions["isNotEquals"] = "is_not_equals";
    RuleNumberOptions["biggerThan"] = "bigger_than";
    RuleNumberOptions["smallerThan"] = "smaller_than";
    RuleNumberOptions["biggerOrEquals"] = "bigger_or_equals";
    RuleNumberOptions["smallerOrEquals"] = "smaller_or_equals";
})(RuleNumberOptions = exports.RuleNumberOptions || (exports.RuleNumberOptions = {}));
var RuleDateOptions;
(function (RuleDateOptions) {
    RuleDateOptions["equals"] = "equals";
    RuleDateOptions["isNotEquals"] = "is_not_equals";
    RuleDateOptions["isAfter"] = "after";
    RuleDateOptions["isBefore"] = "before";
    RuleDateOptions["isOnOrAfter"] = "on_or_after";
    RuleDateOptions["isOnOrBefore"] = "on_or_before";
    RuleDateOptions["isBetween"] = "is_between";
    RuleDateOptions["empty"] = "is_empty";
    RuleDateOptions["isNotEmpty"] = "is_not_empty";
})(RuleDateOptions = exports.RuleDateOptions || (exports.RuleDateOptions = {}));
var RuleOperator;
(function (RuleOperator) {
    RuleOperator["AND"] = "@and";
    RuleOperator["OR"] = "@or";
})(RuleOperator = exports.RuleOperator || (exports.RuleOperator = {}));
//# sourceMappingURL=index.js.map