"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.omit = void 0;
const omit = (object, keys) => {
    if (!object)
        return {};
    try {
        const payload = Object.entries(object).filter(([key]) => !keys.includes(key));
        const data = {};
        payload.forEach((item) => {
            const [key, value] = item;
            data[key] = value;
        });
        return data;
    }
    catch (_a) {
        return {};
    }
};
exports.omit = omit;
//# sourceMappingURL=objects.js.map